Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to get Passenger working with Ubuntu 10.10 and I'm running into a problem. It seems that the passenger installer is not recognizing the virtual package. I'm getting this error: Code:

passenger-install-apache2-module
...
* OpenSSL support for Ruby... not found
...

And then it says, run this:

* To install OpenSSL support for Ruby:
   Please run apt-get install libopenssl-ruby as root.

When I run the above command, it refers to the libruby package:

sudo apt-get install libopenssl-ruby
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libruby' instead of 'libopenssl-ruby'
libruby is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 43 not upgraded.

When I look at the details for libruby, it says it provides libopenssl-ruby: Code:

Provides: libbigdecimal-ruby, libcurses-ruby, libdbm-ruby, libdl-ruby, libdrb-ruby, liberb-ruby, libgdbm-ruby, libiconv-ruby, libopenssl-ruby, libpty-ruby, libracc-runtime-ruby, libreadline-ruby, librexml-ruby, libsdbm-ruby, libstrscan-ruby, libsyslog-ruby, libtest-unit-ruby, libwebrick-ruby, libxmlrpc-ruby, libyaml-ruby, libzlib-ruby

And when I rerun the passenger installer, it gives the same error: Code:

passenger-install-apache2-module
...
* OpenSSL support for Ruby... not found
...

Let me know if you need more info. How do I fix this?

share|improve this question

migrated from stackoverflow.com Dec 30 '10 at 9:46

This question came from our site for professional and enthusiast programmers.

add comment

1 Answer 1

up vote 5 down vote accepted

You probably didn't compile SSL support when you installed Ruby. This could happen because you didn't have the libssl-dev or openssl packages installed first off. I recommend installing these packages and then re-compiling your Ruby version and trying again.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.